LeavePeriodHistory:
  0: { id: 1, leave_period_start_month: 1, leave_period_start_day: 1, created_at: '2012-01-02' }
  1: { id: 2, leave_period_start_month: 1, leave_period_start_day: 2, created_at: '2012-01-02' }
  2: { id: 3, leave_period_start_month: 1, leave_period_start_day: 3, created_at: '2012-01-02' }
  3: { id: 4, leave_period_start_month: 1, leave_period_start_day: 4, created_at: '2012-01-01' }